org.eclipse.microprofile.fault.tolerance.tck.metrics

## Class CircuitBreakerMetricBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.metrics.CircuitBreakerMetricBean

    @RequestScoped
    public class CircuitBreakerMetricBean
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CircuitBreakerMetricBean.Result`
`static class` `CircuitBreakerMetricBean.SkippedException`

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerMetricBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doWork(CircuitBreakerMetricBean.Result result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerMetricBean

    public CircuitBreakerMetricBean()

### Method Detail

#### doWork

    @CircuitBreaker(requestVolumeThreshold=2,
                    failureRatio=1.0,
                    delay=1000L,
                    successThreshold=2,
                    failOn=TestException.class,
                    skipOn=CircuitBreakerMetricBean.SkippedException.class)
    public void doWork(CircuitBreakerMetricBean.Result result)